Functions
Functions
Peripheral Driver » LL Driver » DVS
Collaboration diagram for Functions:

## Functions
__STATIC_INLINE void | ll_dvs_dcdc_enable_set (uint8_t enable)
| The DVS_DCDC block enable set. More...
__STATIC_INLINE uint8_t | ll_dvs_dcdc_enable_get (void)
| The DVS_DCDC block enable get. More...
__STATIC_INLINE void | ll_dvs_dcdc_vtbias_slop_ctrl_set (uint8_t type)
| The DVS_DCDC's Slop Control type set. More...
__STATIC_INLINE uint8_t | ll_dvs_dcdc_vtbias_slop_ctrl_get (void)
| The DVS_DCDC's Slop Control type get. More...
__STATIC_INLINE void | ll_dvs_dcdc_limiter_enable_set (uint8_t enable)
| The DVS_DCDC's Lower Limit Control enable set. More...
__STATIC_INLINE uint8_t | ll_dvs_dcdc_limiter_enable_get (void)
| The DVS_DCDC's Lower Limit Control enable get. More...
__STATIC_INLINE void | ll_dvs_dcdc_vtbias_ctrl_vt_set (uint8_t vt)
| The DVS_DCDC's default level value of the VT bias set. More...
__STATIC_INLINE uint8_t | ll_dvs_dcdc_vtbias_ctrl_vt_get (void)
| The DVS_DCDC's default level value of the VT bias get. More...
__STATIC_INLINE void | ll_dvs_dcdc_vtbias_ctrl_lower_limit_set (uint8_t limit)
| The DVS_DCDC's lower limit for the output voltage set. More...
__STATIC_INLINE uint8_t | ll_dvs_dcdc_vtbias_ctrl_lower_limit_get (void)
| The DVS_DCDC's lower limit for the output voltage get. More...
__STATIC_INLINE void | ll_dvs_digcore_enable_set (uint8_t enable)
| The DVS_DIGCORE block enable set. More...
__STATIC_INLINE uint8_t | ll_dvs_digcore_enable_get (void)
| The DVS_DIGCORE block enable get. More...
__STATIC_INLINE void | ll_dvs_digcore_vtbias_slop_ctrl_set (uint8_t type)
| The DVS_DIGCORE's Slop Control type set. More...
__STATIC_INLINE uint8_t | ll_dvs_digcore_vtbias_slop_ctrl_get (void)
| The DVS_DIGCORE's Slop Control type get. More...
__STATIC_INLINE void | ll_dvs_digcore_limiter_enable_set (uint8_t enable)
| The DVS_DIGCORE's Lower Limit Control enable set. More...
__STATIC_INLINE uint8_t | ll_dvs_digcore_limiter_enable_get (void)
| The DVS_DIGCORE's Lower Limit Control enable get. More...
__STATIC_INLINE void | ll_dvs_digcore_vtbias_ctrl_vt_set (uint8_t vt)
| The DVS_DIGCORE's default level value of the VT bias set. More...
__STATIC_INLINE uint8_t | ll_dvs_digcore_vtbias_ctrl_vt_get (void)
| The DVS_DIGCORE's default level value of the VT bias get. More...
__STATIC_INLINE void | ll_dvs_digcore_vtbias_ctrl_lower_limit_set (uint8_t limit)
| The DVS_DIGCORE's lower limit for the output voltage set. More...
__STATIC_INLINE uint8_t | ll_dvs_digcore_vtbias_ctrl_lower_limit_get (void)
| The DVS_DIGCORE's lower limit for the output voltage get. More...

## Detailed Description

## Function Documentation

## ◆ ll_dvs_dcdc_enable_get()

__STATIC_INLINE uint8_t ll_dvs_dcdc_enable_get | ( | void |  | ) |

The DVS_DCDC block enable get.

Register | BitsName
--- | ---
DVS_DCDC | EN_VTBIAS

Definition at line 111 of file gr55xx_ll_dvs.h.

## ◆ ll_dvs_dcdc_enable_set()

__STATIC_INLINE void ll_dvs_dcdc_enable_set | ( | uint8_t | enable | ) |

The DVS_DCDC block enable set.

Register | BitsName
--- | ---
DVS_DCDC | EN_VTBIAS

Definition at line 99 of file gr55xx_ll_dvs.h.

## ◆ ll_dvs_dcdc_limiter_enable_get()

__STATIC_INLINE uint8_t ll_dvs_dcdc_limiter_enable_get | ( | void |  | ) |

The DVS_DCDC's Lower Limit Control enable get.

Register | BitsName
--- | ---
DVS_DCDC | EN_LIMITER

Definition at line 159 of file gr55xx_ll_dvs.h.

## ◆ ll_dvs_dcdc_limiter_enable_set()

__STATIC_INLINE void ll_dvs_dcdc_limiter_enable_set | ( | uint8_t | enable | ) |

The DVS_DCDC's Lower Limit Control enable set.

Register | BitsName
--- | ---
DVS_DCDC | EN_LIMITER

Definition at line 147 of file gr55xx_ll_dvs.h.

## ◆ ll_dvs_dcdc_vtbias_ctrl_lower_limit_get()

__STATIC_INLINE uint8_t ll_dvs_dcdc_vtbias_ctrl_lower_limit_get | ( | void |  | ) |

The DVS_DCDC's lower limit for the output voltage get.

Register | BitsName
--- | ---
DVS_DCDC | VTBIAS_CTRL_VT_2_0

Definition at line 207 of file gr55xx_ll_dvs.h.

## ◆ ll_dvs_dcdc_vtbias_ctrl_lower_limit_set()

__STATIC_INLINE void ll_dvs_dcdc_vtbias_ctrl_lower_limit_set | ( | uint8_t | limit | ) |

The DVS_DCDC's lower limit for the output voltage set.

Register | BitsName
--- | ---
DVS_DCDC | VTBIAS_CTRL_VT_2_0

Definition at line 195 of file gr55xx_ll_dvs.h.

## ◆ ll_dvs_dcdc_vtbias_ctrl_vt_get()

__STATIC_INLINE uint8_t ll_dvs_dcdc_vtbias_ctrl_vt_get | ( | void |  | ) |

The DVS_DCDC's default level value of the VT bias get.

Register | BitsName
--- | ---
DVS_DCDC | VTBIAS_CTRL_VT_2_0

Definition at line 183 of file gr55xx_ll_dvs.h.

## ◆ ll_dvs_dcdc_vtbias_ctrl_vt_set()

__STATIC_INLINE void ll_dvs_dcdc_vtbias_ctrl_vt_set | ( | uint8_t | vt | ) |

The DVS_DCDC's default level value of the VT bias set.

Register | BitsName
--- | ---
DVS_DCDC | VTBIAS_CTRL_VT_2_0

Definition at line 171 of file gr55xx_ll_dvs.h.

## ◆ ll_dvs_dcdc_vtbias_slop_ctrl_get()

__STATIC_INLINE uint8_t ll_dvs_dcdc_vtbias_slop_ctrl_get | ( | void |  | ) |

The DVS_DCDC's Slop Control type get.

Register | BitsName
--- | ---
DVS_DCDC | VTBIAS_SLOPE_CTRL

Definition at line 135 of file gr55xx_ll_dvs.h.

## ◆ ll_dvs_dcdc_vtbias_slop_ctrl_set()

__STATIC_INLINE void ll_dvs_dcdc_vtbias_slop_ctrl_set | ( | uint8_t | type | ) |

The DVS_DCDC's Slop Control type set.

Register | BitsName
--- | ---
DVS_DCDC | VTBIAS_SLOPE_CTRL

Definition at line 123 of file gr55xx_ll_dvs.h.

## ◆ ll_dvs_digcore_enable_get()

__STATIC_INLINE uint8_t ll_dvs_digcore_enable_get | ( | void |  | ) |

The DVS_DIGCORE block enable get.

Register | BitsName
--- | ---
DVS_DIGCORE | EN_VTBIAS

Definition at line 231 of file gr55xx_ll_dvs.h.

## ◆ ll_dvs_digcore_enable_set()

__STATIC_INLINE void ll_dvs_digcore_enable_set | ( | uint8_t | enable | ) |

The DVS_DIGCORE block enable set.

Register | BitsName
--- | ---
DVS_DIGCORE | EN_VTBIAS

Definition at line 219 of file gr55xx_ll_dvs.h.

## ◆ ll_dvs_digcore_limiter_enable_get()

__STATIC_INLINE uint8_t ll_dvs_digcore_limiter_enable_get | ( | void |  | ) |

The DVS_DIGCORE's Lower Limit Control enable get.

Register | BitsName
--- | ---
DVS_DIGCORE | EN_LIMITER

Definition at line 279 of file gr55xx_ll_dvs.h.

## ◆ ll_dvs_digcore_limiter_enable_set()

__STATIC_INLINE void ll_dvs_digcore_limiter_enable_set | ( | uint8_t | enable | ) |

The DVS_DIGCORE's Lower Limit Control enable set.

Register | BitsName
--- | ---
DVS_DIGCORE | EN_LIMITER

Definition at line 267 of file gr55xx_ll_dvs.h.

## ◆ ll_dvs_digcore_vtbias_ctrl_lower_limit_get()

__STATIC_INLINE uint8_t ll_dvs_digcore_vtbias_ctrl_lower_limit_get | ( | void |  | ) |

The DVS_DIGCORE's lower limit for the output voltage get.

Register | BitsName
--- | ---
DVS_DIGCORE | VTBIAS_CTRL_VT_2_0

Definition at line 327 of file gr55xx_ll_dvs.h.

## ◆ ll_dvs_digcore_vtbias_ctrl_lower_limit_set()

__STATIC_INLINE void ll_dvs_digcore_vtbias_ctrl_lower_limit_set | ( | uint8_t | limit | ) |

The DVS_DIGCORE's lower limit for the output voltage set.

Register | BitsName
--- | ---
DVS_DIGCORE | VTBIAS_CTRL_VT_2_0

Definition at line 315 of file gr55xx_ll_dvs.h.

## ◆ ll_dvs_digcore_vtbias_ctrl_vt_get()

__STATIC_INLINE uint8_t ll_dvs_digcore_vtbias_ctrl_vt_get | ( | void |  | ) |

The DVS_DIGCORE's default level value of the VT bias get.

Register | BitsName
--- | ---
DVS_DIGCORE | VTBIAS_CTRL_VT_2_0

Definition at line 303 of file gr55xx_ll_dvs.h.

## ◆ ll_dvs_digcore_vtbias_ctrl_vt_set()

__STATIC_INLINE void ll_dvs_digcore_vtbias_ctrl_vt_set | ( | uint8_t | vt | ) |

The DVS_DIGCORE's default level value of the VT bias set.

Register | BitsName
--- | ---
DVS_DIGCORE | VTBIAS_CTRL_VT_2_0

Definition at line 291 of file gr55xx_ll_dvs.h.

## ◆ ll_dvs_digcore_vtbias_slop_ctrl_get()

__STATIC_INLINE uint8_t ll_dvs_digcore_vtbias_slop_ctrl_get | ( | void |  | ) |

The DVS_DIGCORE's Slop Control type get.

Register | BitsName
--- | ---
DVS_DIGCORE | VTBIAS_SLOPE_CTRL

Definition at line 255 of file gr55xx_ll_dvs.h.

## ◆ ll_dvs_digcore_vtbias_slop_ctrl_set()

__STATIC_INLINE void ll_dvs_digcore_vtbias_slop_ctrl_set | ( | uint8_t | type | ) |

The DVS_DIGCORE's Slop Control type set.

Register | BitsName
--- | ---
DVS_DIGCORE | VTBIAS_SLOPE_CTRL

Definition at line 243 of file gr55xx_ll_dvs.h.